<ion-content>

  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-menu-button></ion-menu-button>
    </ion-buttons>
    <ion-item>
      <ion-label>{{ 'Transactions >> Update Transaction' | translate }}</ion-label>
    </ion-item>
  </ion-toolbar>

  <ion-card>
    <ion-card-header>
      <ion-card-title>{{ 'Update Transaction' | translate }}</ion-card-title>
      <ion-card-subtitle>{{ 'Update a selected Transaction' | translate }}</ion-card-subtitle>
    </ion-card-header>
    <ion-card-content>
      <form [formGroup]="form" (ngSubmit)="updateTransactionLog()" method="post">

        <ion-item>
          <ion-label>{{ 'Transaction Type' | translate }}</ion-label>
          <ion-select placeholder="Select One" formControlName="transactionType" name="transactionType">
            <ion-select-option value="Debit">{{ 'Debit' | translate }}</ion-select-option>
            <ion-select-option value="Credit">{{ 'Credit' | translate }}</ion-select-option>
          </ion-select>
        </ion-item>

        <div style="color: red" *ngIf="form.get('transactionType').hasError('required') && form.get('transactionType').touched">
        {{ 'This field is required*' | translate }}</div>

        <ion-item>
          <ion-label position="floating">{{ 'Name' | translate }}</ion-label>
          <ion-input formControlName="name" type="text" name="name"></ion-input>
        </ion-item>

        <div style="color: red" *ngIf="form.get('name').hasError('required') && form.get('name').touched">
        {{ 'This field is required*' | translate }}</div>

        <ion-item>
          <ion-label position="floating">{{ 'Description' | translate }}</ion-label>
          <ion-input formControlName="description" type="text" name="description"></ion-input>
        </ion-item>

        <div style="color: red" *ngIf="form.get('description').hasError('required') && form.get('description').touched">
        {{ 'This field is required*' | translate }}</div>

        <ion-item>
          <ion-label position="floating">{{ 'Amount' | translate }}</ion-label>
          <ion-input formControlName="amount" type="number" name="amount" min="0" (ionInput)="changeToPositive()"></ion-input>
        </ion-item>

        <div style="color: red" *ngIf="form.get('amount').hasError('required') && form.get('amount').touched">
        {{ 'This field is required*' | translate }}</div>

        <ion-button *ngIf="this.cacheObject?._cache_pending_operation != 'delete'" type="submit" expand="full" color="primary" [disabled]="!form.valid">
          {{ 'Update Transaction' | translate }}</ion-button>
        <ion-button *ngIf="this.cacheObject?._cache_pending_operation != 'delete'" expand="full" color="danger" (click)="removeTransactionLog()">{{ 'Remove Transaction' | translate }}</ion-button>
      </form>
    </ion-card-content>
  </ion-card>
</ion-content>